From 0a931cea8ce8d5dac13be3be5ee63f75f26b8083 Mon Sep 17 00:00:00 2001
From: Niklas Haas <git@haasn.dev>
Date: Sun, 17 Aug 2025 19:43:35 +0200
Subject: [PATCH 07/37] avfilter/formats: use vf_premultiply_dynamic for alpha
 mode autoconversion

---
 libavfilter/formats.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/libavfilter/formats.c b/libavfilter/formats.c
index 4aa171a06e..11a0f13ac6 100644
--- a/libavfilter/formats.c
+++ b/libavfilter/formats.c
@@ -376,6 +376,7 @@ static const AVFilterFormatsMerger mergers_video[] = {
         .offset     = offsetof(AVFilterFormatsConfig, alpha_modes),
         .merge      = merge_generic,
         .can_merge  = can_merge_generic,
+        .conversion_filter = "premultiply_dynamic",
     },
 };
 
-- 
2.49.1


